esp32_BNO08x 1.4 C++ BNO08x IMU driver component for esp-idf.

Classes
BNO08x.hpp File Reference
`#include <etl/vector.h>`
`#include <etl/variant.h>`
`#include <etl/map.h>`
`#include <driver/gpio.h>`
`#include <driver/spi_common.h>`
`#include <driver/spi_master.h>`
`#include <freertos/FreeRTOS.h>`
`#include <freertos/task.h>`
`#include <freertos/event_groups.h>`
`#include <freertos/queue.h>`
`#include "BNO08xGlobalTypes.hpp"`
`#include "BNO08xPrivateTypes.hpp"`
`#include "BNO08xSH2HAL.hpp"`
`#include "BNO08xReports.hpp"`
Include dependency graph for BNO08x.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | BNO08x
| BNO08x IMU driver class. More...
struct | BNO08x::bno08x_reports_t
| Contains report implementations. More...

## Detailed Description

Author
  Myles Parfeniuk